# fmt: off

from .models import ROLES

tablestart = """
<div>
	<table class="{}">"""
tableentry = """
		<tr>
			<th class="column_th">{}</th>
			<td class="column_td">{}</td>
		</tr>"""
tableend = """
	</table>
</div>"""

def make_html_table_from_dict(tbldict, cl="center_table"):
	outstr = tablestart.format(cl)
	for e in tbldict:
		outstr += tableentry.format(e, tbldict[e])
	return outstr + tableend

def make_html_table_from_list(tbllist, cl="center_table"):
	outstr = tablestart.format(cl)
	for a, b in tbllist: outstr += tableentry.format(a, b)
	return outstr + tableend

def make_top_bar(user):
	if user.is_anonymous:
		bar = """
			<div class="navbar">
				<a href="/">Home</a>
				<a href="/library/">Library</a>
				<a href="/discord/">Discord</a>
				<a href="/download/">Download</a>
				<a href="/about/">About/Privacy</a>
			</div>
		"""
	else:
		role = int(user.role)
		bar = """
		<div class="navbar">
			<a href="/">Home</a>
			<a href="/library/">Library</a>
			<a href="/download/">Download</a>
		"""

		if role < ROLES.MODERATOR.value:
			bar+= """<a href="/discord/">Discord</a>
			"""
			bar+= """<a href="/about/">About/Privacy</a>
			"""

		if role >= ROLES.ADMIN.value:
			bar+= '<a href="/admin/">Admin</a>'

		bar+='<a href="/admin/logout" class="right">Log Out</a>'
		bar+=f'<a href="/profile" class="right"><b>{user.username}</b></a>'
		bar += "</div>"

	return bar
